<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	https://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are three reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router which controller/method to use if those
| provided in the URL cannot be matched to a valid route.
|
|	$route['translate_uri_dashes'] = FALSE;
|
| This is not exactly a route, but allows you to automatically route
| controller and method names that contain dashes. '-' isn't a valid
| class or method name character, so it requires translation.
| When you set this option to TRUE, it will replace ALL dashes in the
| controller and method URI segments.
|
| Examples:	my-controller/index	-> my_controller/index
|		my-controller/my-method	-> my_controller/my_method
*/
$route['default_controller'] = 'home';
$route['404_override'] = '';
$route['translate_uri_dashes'] = FALSE;

$route['login'] = 'Authenticate';
$route['login/validate'] = 'Authenticate/validate';
$route['logout'] = 'Authenticate/logout';

$route['admin'] = 'Admin_controller';
$route['admin/add_room'] = 'Admin_controller/add_room';
$route['admin/edit_room'] = 'Admin_controller/edit_room/';
$route['admin/edit_room/(:any)'] = 'Admin_controller/edit_room/$1';
$route['admin/delete_room'] = 'Admin_controller/delete_room';

$route['admin/rooms'] = 'Admin_controller/get_rooms';
$route['admin/features'] = 'Admin_controller/get_features';
$route['admin/ajax_save_feature_data'] = 'Admin_controller/ajax_save_feature_data';
$route['admin/ajax_save_room'] = 'Admin_controller/ajax_save_room';

$route['admin/ajax_single_data_of_room'] = 'Admin_controller/ajax_single_data_of_room';

$route['admin/ajax_check_vanity_url'] = 'Admin_controller/ajax_check_room_vanity_url';

$route['admin/upload_media'] = 'Admin_controller/upload_media';
$route['admin/fetch_gallery_data'] = 'Admin_controller/fetch_gallery_data';

// Frontend
$route['home'] = 'Home';
$route['index'] = 'Home';
$route['(:any)'] = 'Home/page/$1';
