<?php defined('BASEPATH') or exit('No direct script access allowed');

class Admin_controller extends CI_Controller
{
  public function __construct()
  {
    parent::__construct();
    if(!$this->session->userdata('logged_in'))
    {
      return redirect('login');
    }
    // $this->load->library('user_agent');
    // $this->load->model('adminmodel');
    $this->load->model('Crud', 'crud');
    // $this->load->helper('text');
    // $this->load->helper('youtube');
    $this->load->helper('hashed');
    $this->load->helper('utility');
    // $this->load->helper('rand');
    // $GLOBALS['updatedDate'] = date("Y-m-d H:i:s");
  }
  public function index($option = null)
  {
    $data['title'] = 'Dashboard | '.GC;
    $data['all_features'] = $this->crud->get_all_rows('room_features');
    $this->load->view('secure/dashboard', $data);
  }

  public function add_room()
  {
    $data['title'] = 'Add Rooms | '.GC;
    $this->load->view('secure/dashboard', $data);
  }

  public function edit_room($id)
  {
    if(!$id)
    {
      return redirect(base_url('admin'));
    }
    else if($this->crud->count_data('rooms', 'room_id', $id) > 0)
    {
      $data['title'] = 'Edit Rooms | '.GC;
      $data['room'] = $this->crud->get_single_row('rooms', array('room_id' => $id));
      $this->session->set_userdata('room_id', $data['room']->room_id);
      $this->load->view('secure/dashboard', $data);
    }
    else {
      return redirect(base_url('admin'));
    }
  }



  public function delete_room()
  {
    if($this->input->server('REQUEST_METHOD') == 'POST')
    {
      $id = $this->input->post('id');
      if(!$id)
      {
        return redirect(base_url('admin'));
      }
      else {
        if($this->crud->delete_data('rooms', 'room_id', $id))
        {
          echo 'deleted';
        }
        else
        {
          echo 'undeleted';
        }
      }
    }
    else {
      show_404();
    }
  }


  public function get_rooms()
  {
    if($this->crud->count_data('rooms') > 0)
    {
      $rooms = $this->crud->get_all_rows('rooms');
      $i = 1;
      foreach ($rooms as $room) {
        echo '<tr id="room_row_'.$room->room_id.'">';
        echo '<td>'.$i.'</td>';
        echo '<td>'.$room->room_title.'</td>';
        echo '<td>'.$room->room_price.'</td>';
        echo '<td>'.$room->room_description.'</td>';
        echo '<td><div class="btn-group">
          <a href="'.base_url('admin/edit_room/'.$room->room_id).'" class="btn btn-warning btn-sm"><i class="fas fa-edit"></i></a>
          <a href="'.base_url('admin').'" data-deleteid="'.$room->room_id.'" class="btn btn-danger btn-sm delete_btn"><i class="fas fa-trash"></i></a>
        </div></td>';
        echo '</tr>';
        $i++;
      }
    }
    else
    {
      echo '<tr>';
      echo '<td colspan="4" class="text-center"><span class="lead">No rooms details available</span></td>';
      echo '</tr>';
    }
  }

  public function get_features()
  {
    $features = $this->crud->get_all_rows('room_features');
    foreach ($features as $feature) {
      echo '<option value="'.$feature->feature_id.'" >'.$feature->feature_name.'</option>';
    }
  }

  public function ajax_check_room_vanity_url()
  {
      if($this->input->server('REQUEST_METHOD') == 'POST')
      {
        $room_vanity_url = $this->input->post('new_room_vanity_url');
        if(!empty($room_vanity_url))
        {
          if($this->crud->count_data('rooms', 'room_vanity_url', $room_vanity_url) > 0)
          {
            echo 'matched';
          }
          else
          {
            echo 'unmatched';
          }
        }
        else {
          echo 'empty';
        }
      }
      else {
        show_404();
      }
  }

  public function ajax_save_feature_data()
  {
    if($this->input->server('REQUEST_METHOD') == 'POST')
    {
      extract($this->input->post());

      $room_array = array(
        'feature_name' => $feature_val
      );

      $last_inserted_id = $this->crud->save_data('room_features', $room_array, true);
      echo '<div class="col-md-3 py-1">
              <div class="custom-control custom-checkbox">
                <input class="custom-control-input" type="checkbox" name="room_features[]" id="customFeaturedBox'.$last_inserted_id.'" value="'.$last_inserted_id.'" checked>
                <label for="customFeaturedBox'.$last_inserted_id.'" class="custom-control-label">
                  '.$feature_val.'
                </label>
              </div>
            </div>';
    }
    else {
      show_404();
    }
  }

  public function ajax_save_room()
  {
    if($this->input->server('REQUEST_METHOD') == 'POST')
    {
      extract($this->input->post());
      $room_array = array(
        'room_title' => $room_title,
        'room_vanity_url' => $room_vanity_url,
        'room_description' => $room_description,
        'room_price' => $room_price,
        'room_features' => implode(',', $room_features),
        'room_map_code' => $room_map_code,
        'room_seo_title' => $room_seo_title,
        'room_seo_desc' => $room_seo_desc,
        'room_seo_keywords' => $room_seo_keywords
      );
      $last_inserted_id = $this->crud->save_data('rooms', $room_array, true);

      return redirect(base_url('admin/edit_room/'.$last_inserted_id));

    }
    else {
      show_404();
    }
  }

  public function upload_media()
  {
    if(!empty($_FILES['multipleFile']['name']))
    {
        $multiplefile = $_FILES['multipleFile']['name'];
        foreach ($multiplefile as $name => $value)
        {
          $allowImg = array('png','jpeg','jpg','');
          $fileExnt = explode('.', $multiplefile[$name]);
          if (in_array($fileExnt[1], $allowImg))
          {
            if ($_FILES['multipleFile']['size'][$name] > 0 && $_FILES['multipleFile']['error'][$name]== 0)
            {
              $fileTmp = $_FILES['multipleFile']['tmp_name'][$name];
              $newFile = 	rand(). '.'. $fileExnt[1];
              $target_dir = 'uploads/'.$newFile;
              if (move_uploaded_file($fileTmp, $target_dir)) {
                  $this->crud->save_data('gallery', array('img_path'=>$newFile, 'room_id'=>$this->session->userdata('room_id')));
                  // $query  = "INSERT INTO table_images (images) VALUES('$newFile')";
                  // mysqli_query($con, $query);
              }
            }
          }
        }
    }
  }

  public function fetch_gallery_data()
  {
    // $data = ($this->crud->get_all_rows('gallery', ['room_id'=>$this->session->userdata('room_id')]));

    $imgs = $this->crud->get_all_rows('gallery', ['room_id'=>$this->session->userdata('room_id')]);
    echo '<div class="row">';
    foreach ($imgs as $img) {
		  echo'<div class="col-md-2 p-3" style="position:relative;">
        <img src="'.base_url('uploads/'.$img->img_path).'" class="img-thumbnail" style="width:150px;height:150px;" />
        <button type="button" class="btn btn-danger btn-sm btn_delete_image" id="'.$this->session->userdata('room_id').'" data-roomid ="'.$this->session->userdata('room_id').'" style="position:absolute; top:25px; right:35px;"><i class="fas fa-trash"></i></button>
      </div>';
    }
    echo '</div>';
  }

}
