<?php
/**
 * Authenticate User
 */
class Authenticate extends CI_Controller
{

  function __construct()
  {
    parent::__construct();
    $this->load->model('Crud', 'crud');
    $this->load->helper('hashed');
    $this->load->helper('utility');
  }

  public function index()
  {
    if($this->session->userdata('logged_in'))
    {
      return redirect('admin');
    }
    $data['title'] = 'Login | '.GC;
    $this->load->view('secure/login', $data);
  }

  public function validate()
  {
    if($this->input->server('REQUEST_METHOD') == 'POST')
    {
      // echo hashed('room@#2020', 'e');
      extract($this->input->post());

      $username_local = cleanVal($username);
      $password_local = hashed(cleanVal($password), 'e');

      if($this->crud->verify_user($username_local, $password_local))
      {
        $this->session->set_userdata('logged_in', $username_local);
        return redirect('admin');
      }
      else {
        $this->session->set_flashdata('msg', 'Please check your login credential.');
        return redirect('login');
      }

    }
    else {
      return redirect('admin');
    }

  }

  public function logout()
  {
    $this->session->set_userdata('logged_in', '');
    $this->session->sess_destroy();
    return redirect('login');
  }


}


 ?>
