<?php defined('BASEPATH') or exit('No direct scripts access allowed.');

  if(!function_exists('daysago'))
  {
    function daysago($datetime, $full = false)
    {
      $now = new DateTime;
      $ago = new DateTime($datetime);
      $diff = $now->diff($ago);

      $diff->w = floor($diff->d / 7);
      $diff->d -= $diff->w * 7;

      $string = array(
          'y' => 'year',
          'm' => 'month',
          'w' => 'week',
          'd' => 'day',
          'h' => 'hour',
          'i' => 'minute',
          's' => 'second',
      );
      foreach ($string as $k => &$v) {
          if ($diff->$k) {
              $v = $diff->$k . ' ' . $v . ($diff->$k > 1 ? 's' : '');
          } else {
              unset($string[$k]);
          }
      }

      if (!$full) $string = array_slice($string, 0, 1);
      return $string ? implode(', ', $string) . ' ago' : 'just now';
    }

    function cleanVal($value = '')
    {
      $value = trim($value);
      $value = strtr($value,array_flip(get_html_translation_table(HTML_ENTITIES)));
      $value = strip_tags($value);
      // $value = mysqli_real_escape_string(get_mysqli(), $value);
      $value = htmlspecialchars($value);
      return $value;
    }
  }

?>
