<?php

class Crud extends CI_Model
{
  public function __construct()
  {
      parent::__construct();
  }

  public function get_all_rows($table, $conditionArray = null) // Get all records
  {
    $this->db->select();
    if($conditionArray != null)
    {
      $this->db->where($conditionArray);
    }
    $query = $this->db->get($table);
    if($query->num_rows() > 0)
    {
      return $query->result();
    }
    else {
      return false;
    }
  }

  public function get_single_row($table, $conditionArray) //Get records by conditional parameters
  {
    $this->db->select();
    $this->db->where($conditionArray);
    $query = $this->db->get($table);
    if($query->num_rows() > 0 && $query->num_rows() < 2)
    {
      return $query->row();
    }
    else {
      return $query->result();
    }
  }

  public function save_data($table, $dataArray, $lastInsertedId = false) // Save records
  {
      if ($this->db->insert($table, $dataArray)) {
          if($lastInsertedId == true)
          {
            return $this->db->insert_id();
          }
          else
          {
            return true;
          }
      } else {
          return false;
      }
  }

  public function update_data($table, $colName, $colVal, $dataArray) // Update records
  {
      $this->db->where($colName, $colVal);
      if ($this->db->update($table, $dataArray)) {
          return true;
      } else {
          return false;
      }
  }

  public function delete_data($table, $colName, $colVal) // Delete records
  {
      $this->db->where($colName, $colVal);
      if ($this->db->delete($table)) {
          return true;
      } else {
          return false;
      }
  }

  public function verify_user($user, $pass)
  {
    $this->db->where('username', $user);
    $this->db->where('password', $pass);
    $query = $this->db->get('users');

    if ($query->num_rows() == 1)
    {
        return true;
    } else {
        return false;
    }
  }

  public function count_data($table, $colName = null, $colVal = null)
  {
    if($colName != null && $colVal != null)
    {
      return $this->db->where($colName, $colVal)->count_all_results($table);
    }
    else {
      return $this->db->count_all_results($table);
    }
  }

}
