<div class="card card-primary card-outline" id="forms_container">
  <div class="card-header">
    <h3 class="card-title"><i class="fas fa-edit"></i> Edit Room</h3>
  </div>
  <!-- /.card-header -->


  <div class="form-group mt-5">
  <div class="row px-3">
    <div class="col-md-12">
      <label for="multipleFile">
        Gallery Images
      </label>
      <div class="alert alert-success alert-dismissible" id="success" style="display: none;">
        <button type="button" class="close" data-dismiss="alert">&times;</button>
        File uploaded successfully
      </div>
    </div>
    <div class="col-md-12">
      <form id="submitForm" class="form-horizontal" >
        <div class="row">
          <div class="col-md-9">
            <div class="form-group">
              <div class="custom-file ">
                <input type="file" class="custom-file-input" name="multipleFile[]" id="multipleFile" required="" multiple>
                <label class="custom-file-label" for="multipleFile">Choose Multiple Images to Upload</label>
              </div>
            </div>
          </div>
          <div class="col-md-3">
            <div class="form-group">
              <button type="submit" name="upload" class="btn btn-success btn-block">Upload File</button>
            </div>
          </div>
        </div>
      </form>
    </div>
    <div class="col-md-12 text-center">
      <!-- gallery view of uploaded images -->
      <div id="gallery"></div>
    </div>
  </div>

</div>

  <!-- Add Room form start -->
  <form class="form-horizontal" id="addRoomForm" action="<?=base_url('admin/ajax_update_room') ?>" method="post">
    <div class="card-body">
      <div class="form-group">
        <label for="room_title">Room Title</label>
        <input type="text" name="room_title" class="form-control" id="room_title" placeholder="Enter room title" value="<?=$room->room_title ?>">
      </div>
      <div class="form-group">
        <label for="room_vanity_url" class="d-block">Room Vanity URL
          <span id="url_status" class="float-right font-weight-bold"></span></label>
        <input type="text" name="room_vanity_url" class="form-control" id="room_vanity_url" placeholder="Enter room vanity URL" value="<?=$room->room_vanity_url ?>">
      </div>
      <div class="form-group">
        <label for="room_price">Price of Room</label>
        <input type="number" name="room_price" class="form-control" id="room_price" placeholder="Enter room price" value="<?=$room->room_price ?>">
      </div>
      <div class="form-group">
        <label for="room_description">Room Description</label>
        <textarea name="room_description" id="room_description" class="form-control editor"><?=$room->room_description ?></textarea>
      </div>

      <div class="form-group mt-4">
        <label for="room_features" class="d-block">
          Room Features
          <span class="float-right">
            <button type="button" class="btn btn-success btn-sm" data-toggle="modal" data-target="#feature_addition_container">
              <i class="fas fa-plus"></i> Add More Features to List
            </button>
          </span>
        </label>
        <div class="row pt-2" id="room_features_checkboxes">
          <?php $features = $this->crud->get_all_rows('room_features');
            $room_features_selected = explode(',', $room->room_features);
            foreach ($features as $feature) {
              if (in_array($feature->feature_id, $room_features_selected)) {
                  echo '<div class="col-md-3 py-1">
                          <div class="custom-control custom-checkbox">
                            <input class="custom-control-input" type="checkbox" name="room_features[]" id="customFeaturedBox'.$feature->feature_id.'" value="'.$feature->feature_id.'" checked>
                            <label for="customFeaturedBox'.$feature->feature_id.'" class="custom-control-label">
                              '.$feature->feature_name.'
                            </label>
                          </div>
                        </div>';
              } else {
                  echo '<div class="col-md-3 py-1">
                          <div class="custom-control custom-checkbox">
                            <input class="custom-control-input" type="checkbox" name="room_features[]" id="customFeaturedBox'.$feature->feature_id.'" value="'.$feature->feature_id.'">
                            <label for="customFeaturedBox'.$feature->feature_id.'" class="custom-control-label">
                              '.$feature->feature_name.'
                            </label>
                          </div>
                        </div>';
              }
            }
          ?>
        </div>
      </div>

      <div class="form-group">
        <label for="room_map_code">Location Map Embed Code</label>
        <div class="row">
          <div class="col-md-12">
            <textarea name="room_map_code" id="room_map_code" class="form-control" placeholder="Paste here google map embeded code"><?=$room->room_map_code ?></textarea>
          </div>
          <div class="col-md-12" id="room_map_code_preview"><?=$room->room_map_code ?></div>
        </div>
      </div>

      <div class="form-group has-valid">
        <label for="room_seo_title">Room SEO Title</label>
        <input type="text" name="room_seo_title" class="form-control" id="room_seo_title" placeholder="Enter room seo title" value="<?=$room->room_seo_title ?>">
      </div>

      <div class="form-group has-valid">
        <label for="room_seo_desc">Room SEO Description</label>
        <textarea name="room_seo_desc" id="room_seo_desc" class="form-control" placeholder="Enter room seo description"><?=$room->room_seo_desc ?></textarea>
      </div>

      <div class="form-group has-valid">
        <label for="room_seo_keywords">Room SEO Keywords</label>
        <textarea name="room_seo_keywords" id="room_seo_keywords" class="form-control" placeholder="Enter room seo keywords"><?=$room->room_seo_keywords ?></textarea>
      </div>

    </div>
    <!-- /.card-body -->
    <div class="card-footer">
      <span id="loadingBar"></span>
      <input type="hidden" name="room_id" value="<?=$room->room_id ?>">
      <button type="submit" class="btn btn-primary"><i class="fas fa-save"></i> Update Room
        Details</button>
    </div>
  </form>
  <!-- Add Room Form End -->

</div>
