<!-- Main Footer -->
<footer class="main-footer">
    <!-- To the right -->
    <div class="float-right d-none d-sm-inline">
        <!-- content -->
    </div>
    <!-- Default to the left -->
    <strong>Copyright &copy; 2014-2020 <a href="<?=GCW ?>"><?=GC ?></a>.</strong> All rights reserved.
</footer>
</div>
<!-- ./wrapper -->

<!-- REQUIRED SCRIPTS -->

<!-- jQuery -->
<script src="<?=base_url('plugins/jquery/jquery.min.js') ?>"></script>
<!-- Bootstrap 4 -->
<script src="<?=base_url('plugins/bootstrap/js/bootstrap.bundle.min.js') ?>"></script>
<!-- DataTables -->
<script src="https://cdn.datatables.net/1.10.22/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.22/js/dataTables.bootstrap4.min.js"></script>
<!-- Summernote -->
<script src="<?=base_url('plugins/summernote/summernote-bs4.min.js') ?>"></script>

<script type="text/javascript">
	$(document).ready(function(){

    $('#gallery').on('click', $('.btn_delete_image'), function(){
      $(this).prev().hide();
    });

    // Fetch Data from Database
    fetchData();

  	$("#submitForm").on("submit", function(e){
          e.preventDefault();
          $.ajax({
            url  :"<?=base_url('admin/upload_media') ?>",
            type :"POST",
            cache:false,
            contentType : false, // you can also use multipart/form-data replace of false
            processData : false,
            data: new FormData(this),
            success:function(response){
              alert(response);
              $("#success").show();
              $("#multipleFile").val("");
              fetchData();
            }
         });
      });

    // Fetch Data from Database
    function fetchData(){
      $.ajax({
          url : "<?=base_url('admin/fetch_gallery_data') ?>",
          type : "POST",
          cache: false,
          success:function(data){
            $("#gallery").html(data);
          }
      });
    }
  });
</script>

<script>
$(document).ready(function() {

    $('#rooms_tbl').DataTable();

    getRooms(); //load rooms
    getFeatures(); // load features

    $('.editor').summernote({//Initialize summernote by calling editor class
        placeholder: 'Enter room description',
        minHeight: 200
    });//Initialize summernote by calling editor class


    $('#room_map_code').change(function() { //Room Map Code
        let embedCode = $(this).val();
        if (embedCode.indexOf('<iframe') >= 0) {
            let mapURL = findUrl(embedCode);
            let map_embededCode =
                `<iframe src="${mapURL}" width="100%"  height="350" frameborder="0" style="border:0;" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>`;
            $(this).val(map_embededCode);
            $('#room_map_code_preview').html(map_embededCode);
        } else {
            $(this).val('');
            alert('Please paste valid embed code!');
        }

    }); //Room Map Code

    function findUrl(text) { //Find URL
        // urls will be an array of URL matches
        url = text.split('src="')[1].split('"')[0];

        return url;
    } //Find URL

    $('#room_vanity_url').keyup(function(){ //Create Room Vanity URL
      let val = $(this).val();
      $(this).val(val.replace(/[^a-z0-9\s]/gi, ' ').replace(/\s+/g, '-').toLowerCase());
      let new_room_vanity_url = $(this).val();
      $.ajax({
        url: '<?=base_url('admin/ajax_check_vanity_url') ?>',
        type: 'POST',
        data:{new_room_vanity_url:new_room_vanity_url},
        success:function(res){
          if(res == 'empty')
          {
            $('#url_status').html('');
            $('#url_status').html(`<span class="text-warning"><i class="fas fa-exclamation-triangle"></i> Please enter room vanity URL</span>`);
            $('#room_vanity_url').val('');
            $('#room_vanity_url').attr('placeholder', 'Please enter new room URL');
          }
          else if(res == 'matched')
          {
            $('#url_status').html('');
            $('#url_status').html(`<span class="text-danger"><i class="fas fa-times"></i> Not Available, Enter unique room vanity URL</span>`);
            $('#room_vanity_url').val('');
            $('#room_vanity_url').attr('placeholder', 'Please enter new room URL');
          }
          else
          {
            $('#url_status').html('');
            $('#url_status').html(`<span class="text-success"><i class="fas fa-check"></i> Available</span>`);
          }
        }
      });
    });  //Create Room Vanity URL


    $('#save_feature_data').click(function(){
      let feature_val = $('#feature_data_input').val();
      $.ajax({
        url: '<?=base_url('admin/ajax_save_feature_data') ?>',
        type: 'POST',
        data: {feature_val:feature_val},
        success: function(res){
          $('#feature_addition_container').modal('hide');
          $('#feature_data_input').val('');
          $('#room_features_checkboxes').append(res);
        },
        error: function(res){
          alert('You entered duplicate entry!');
        }
      });
    });

    $('#dashboard_rooms_table').on('click', '.delete_btn', function(e){
      e.preventDefault();
      let id = $(this).data('deleteid');
      if(confirm("Are you sure? /n The room details will be deleted!"))
      {
        $.ajax({
          url: '<?=base_url('admin/delete_room') ?>',
          type: 'POST',
          data: {id:id},
          success: function(res){
            $('#room_row_'+id).hide('slow');
            getRooms();
          }
        });
      }
      else {
        return false;
      }
    });


    function getFeatures()// Load features into the table
    {
      $('#room_features').load('<?=base_url('admin/features') ?>');
    }// Load features into the table
    function getRooms()// Load features into the table
    {
      $('#dashboard_rooms_table').load('<?=base_url('admin/rooms') ?>');
    }// Load features into the table




});



</script>

<script type="text/javascript">
function startTime() {
    var today = new Date();
    var h = today.getHours();
    var m = today.getMinutes();
    var s = today.getSeconds();
    m = checkTime(m);
    s = checkTime(s);
    document.getElementById('txt').innerHTML =
        h + ":" + m + ":" + s;
    var t = setTimeout(startTime, 500);
}

function checkTime(i) {
    if (i < 10) {
        i = "0" + i
    }; // add zero in front of numbers < 10
    return i;
}
</script>
<!-- AdminLTE App -->
<script src="<?=base_url('dist/js/adminlte.min.js') ?>"></script>
</body>

</html>
